ModernLoop Internal API
Apigithub

Get an issue

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/issues/{number}" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "id": 0,  "number": 0,  "title": "string",  "body": "string",  "state": "string",  "state_reason": "string",  "user": {    "login": "string",    "id": 0  },  "labels": [    {      "name": "string",      "color": "string"    }  ],  "assignees": [    {      "login": "string",      "id": 0    }  ],  "comments": 0,  "is_pull_request": true,  "html_url": "string",  "created_at": "string",  "updated_at": "string",  "closed_at": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

number?|

Issue number

Response Body

application/json

application/json

application/json

application/json

application/json